"{ Package: 'stx:libbasic3' }"

ClassChange subclass:#ClassClassVariableChange
	instanceVariableNames:'variableName nameSpaceName otherParameters'
	classVariableNames:''
	poolDictionaries:''
	category:'System-Changes'
!


!ClassClassVariableChange methodsFor:'accessing'!

name:varNameArg nameSpaceName:nsNameArg type:varTypeArg otherParameters:otherParametersArg
    variableName := varNameArg.
    className := nsNameArg.
    otherParameters := otherParametersArg.
!

source
    "synthesize the changes source"

    ^ String
        streamContents:
            [:s |
                self printOn:s.
            ]
! !

!ClassClassVariableChange methodsFor:'printing & storing'!

printOn:aStream
    aStream nextPutAll:self className; nextPutAll:' addClassVarName: ' , variableName storeString
! !

!ClassClassVariableChange class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/ClassClassVariableChange.st,v 1.1 2003-08-26 17:01:46 cg Exp $'
! !
